#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Catalyst
%define	pnam	Plugin-Session
Summary:	Catalyst::Plugin::Session - Generic Catalyst session plugin
Summary(pl.UTF-8):	Catalyst::Plugin::Session - ogólna wtyczka sesji dla Catalysta
Name:		perl-Catalyst-Plugin-Session
Version:	0.32
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	978ee69b592aa7b384e118ae2900e251
URL:		http://search.cpan.org/dist/Catalyst-Plugin-Session/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Catalyst >= 5.71001
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.42
BuildRequires:	perl-MRO-Compat
BuildRequires:	perl-Moose >= 0.76
BuildRequires:	perl-MooseX-Emulate-Class-Accessor-Fast >= 0.00801
BuildRequires:	perl-Object-Signature
BuildRequires:	perl-Test-Deep
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-MockObject >= 1.01
BuildRequires:	perl-namespace-clean >= 0.10
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Session plugin is the base of two related parts of functionality
required for session management in web applications.

The first part, the State, is getting the browser to repeat back a
session key, so that the web application can identify the client and
logically string several requests together into a session.

The second part, the Store, deals with the actual storage of
information about the client. This data is stored so that the it may
be revived for every request made by the same client.

This plugin links the two pieces together.

%description -l pl.UTF-8
Wtyczka Session to podstawa dwóch powiązanych części funkcjonalności
wymaganej do zarządzania sesjami w aplikacjach WWW.

Pierwsza część to obsługa stanów (State) powodująca, że przeglądarka
powtarza klucz sesji, dzięki czemu aplikacja WWW może zidentyfikować
klienta i logicznie łączyć ze sobą kilka żądań w sesję.

Druga część to przechowywanie danych (Store) odpowiadające za właściwe
przechowywanie informacji o kliencie. Te dane są przechowywane w taki
sposób, że mogą być odtworzone przy każdym żądaniu wykonanym przez
tego samego klienta.

Ta wtyczka łączy te dwa elementy w całość.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Catalyst/Plugin/Session/State

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Catalyst/Plugin/*.pm
%{perl_vendorlib}/Catalyst/Plugin/Session
%{_mandir}/man3/*
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Catalyst-Plugin-Session.git;a=log;h=master

* Tue Jan 24 2012 zbyniu <zbyniu@pld-linux.org> 73e7772
- up to 0.32

* Mon Nov 16 2009 amateja <amateja@pld-linux.org> 8b9809e
- updated to 0.29

* Mon Oct 19 2009 amateja <amateja@pld-linux.org> f545168
- updated to 0.27

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> 8b84c13
- updated to 0.26

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 0950c36
- updated to 0.22

* Sat Feb 23 2008 radek <radek@pld-linux.org> 8b5e283
- autoupdated to 0.19

* Fri Mar 23 2007 radek <radek@pld-linux.org> fc9d37b
- updated perl-Catalyst-* to newest versions

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b649881
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 16fede9
- converted to UTF-8

* Sun Aug 27 2006 migo <migo@pld-linux.org> 58c5367
- up to 0.12

* Wed Feb 01 2006 migo <migo@pld-linux.org> e59d91d
- up to 0.05

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 8dda8ad
- pl, generic URL

* Fri Nov 18 2005 migo <migo@pld-linux.org> befa2da
- initial revision

